[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DialogRes' (#lcl)

# TDialogImage

Defines a range with image identifiers for glyphs used in dialog resources.

## Declaration

Source position: dialogres.pas line 12

`type TDialogImage = idDialogWarning..idDialogShield;`

## Description

TDialogImage is a range type with identifiers for the images used on glyph icons in the LCL. The range is defined using constant values defined in the LCLType unit. The values are used to access glyph image names in DialogRes.pas and their index positions in TDialogImageList.

## See also

TDialogImageList |  | Implements a multi-resolution image list used for a dialog icon loaded from a resource file.